<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__comp__lp_8c" kind="file" language="C++">
    <compoundname>cyhal_comp_lp.c</compoundname>
    <includes local="yes" refid="cyhal__comp__lp_8h">cyhal_comp_lp.h</includes>
    <includes local="yes" refid="cyhal__analog__common_8h">cyhal_analog_common.h</includes>
    <includes local="yes" refid="cyhal__hwmgr_8h">cyhal_hwmgr.h</includes>
    <includes local="yes" refid="cyhal__system_8h">cyhal_system.h</includes>
      <sectiondef kind="define">
      <memberdef id="cyhal__comp__lp_8c_1acff514377557641cf2f394ebf0a6050f" kind="define" prot="public" static="no">
        <name>_CYHAL_COMP_PER_LP</name>
        <initializer>(2u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="29" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="29" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="cyhal__comp__lp_8c_1aa341ebc78711bccb8ef0cac92f028c87" kind="variable" mutable="no" prot="public" static="yes">
        <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
        <definition>cyhal_comp_t* _cyhal_comp_lp_config_structs[1 *_CYHAL_COMP_PER_LP]</definition>
        <argsstring>[1 *_CYHAL_COMP_PER_LP]</argsstring>
        <name>_cyhal_comp_lp_config_structs</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="33" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="33" />
      </memberdef>
      <memberdef id="cyhal__comp__lp_8c_1a6d4a8dabc1f0d24bbec82d4087593233" kind="variable" mutable="no" prot="public" static="no">
        <type>LPCOMP_Type *const</type>
        <definition>LPCOMP_Type* const _cyhal_lpcomp_base[]</definition>
        <argsstring>[]</argsstring>
        <name>_cyhal_lpcomp_base</name>
        <initializer>=
{

    LPCOMP,




}</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="35" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="35" />
      </memberdef>
      <memberdef id="cyhal__comp__lp_8c_1a19d559ed428ba7c9b1f8d7e45cdbaeb4" kind="variable" mutable="no" prot="public" static="yes">
        <type>const IRQn_Type</type>
        <definition>const IRQn_Type _cyhal_lp_comp_irq_n[]</definition>
        <argsstring>[]</argsstring>
        <name>_cyhal_lp_comp_irq_n</name>
        <initializer>=
{

    lpcomp_interrupt_IRQn,




}</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="45" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="45" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cyhal__comp__lp_8c_1a6120580d28edfe7b99120fd4c7f213de" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>uint8_t</type>
        <definition>static uint8_t _cyhal_lpcomp_get_block_from_irqn</definition>
        <argsstring>(IRQn_Type irqn)</argsstring>
        <name>_cyhal_lpcomp_get_block_from_irqn</name>
        <param>
          <type>IRQn_Type</type>
          <declname>irqn</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="69" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="55" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="55" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__comp__lp_8c_1a51e0b01732d4167c89f004a81ac98568" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>uint32_t</type>
        <definition>static uint32_t _cyhal_comp_lp_convert_power</definition>
        <argsstring>(cyhal_power_level_t hal_power)</argsstring>
        <name>_cyhal_comp_lp_convert_power</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7">cyhal_power_level_t</ref></type>
          <declname>hal_power</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="89" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="71" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="71" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__comp__lp_8c_1ac6d552c031b2123b136418f5cde94ff8" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref></type>
        <definition>static cyhal_comp_event_t _cyhal_comp_lp_get_enabled_events</definition>
        <argsstring>(cyhal_comp_t *obj)</argsstring>
        <name>_cyhal_comp_lp_get_enabled_events</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="107" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="91" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="91" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__comp__lp_8c_1a5267af7b64086627d01019338ff4b062" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>cy_en_lpcomp_int_t</type>
        <definition>static cy_en_lpcomp_int_t _cyhal_comp_lp_convert_hal_event</definition>
        <argsstring>(cyhal_comp_event_t event)</argsstring>
        <name>_cyhal_comp_lp_convert_hal_event</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref></type>
          <declname>event</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="125" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="109" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="109" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__comp__lp_8c_1a924b38f36134cc42b997bb6598e09f8b" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>void</type>
        <definition>static void _cyhal_comp_lp_irq_handler</definition>
        <argsstring>(void)</argsstring>
        <name>_cyhal_comp_lp_irq_handler</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="143" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="127" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="127" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1gaf690b13f87bddb987a316dbb1ee5b190" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t _cyhal_comp_lp_init</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_gpio_t vin_p, cyhal_gpio_t vin_m, cyhal_gpio_t output, cyhal_comp_config_t *cfg)</argsstring>
        <name>_cyhal_comp_lp_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>vin_p</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>vin_m</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>output</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__config__t">cyhal_comp_config_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Initialize the Comparator peripheral for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a Comparator object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">vin_p</parametername>
</parameternamelist>
<parameterdescription>
<para>Non-inverting input pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">vin_m</parametername>
</parameternamelist>
<parameterdescription>
<para>Inverting input pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">output</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator output pin. May be <ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__04__80__tqfp_1gga43c4aa9a5556b7386cb604f0ab3b242ca3dbd1016ea99d087d747530418b89a01">NC</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="255" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="145" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="145" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1gab0d486392f91487b3551b4f8a0fbd74f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void _cyhal_comp_lp_free</definition>
        <argsstring>(cyhal_comp_t *obj)</argsstring>
        <name>_cyhal_comp_lp_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Deinitialize the Comparator peripheral for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="282" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="257" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="257" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1ga6c35377a1e7b4cb2fd4bbc2685df0a15" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t _cyhal_comp_lp_configure</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_comp_config_t *cfg)</argsstring>
        <name>_cyhal_comp_lp_configure</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__config__t">cyhal_comp_config_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Reconfigure the Comparator for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para>This retains the powered state of the comparator. Depending on the implementation, it may be necessary to temporarily deconfigure and/or power off the comparator in order to apply the new configuration. However, if the comparator is powered-off when this function is called, it will remain powered-off after it returns. Likewise, if the comparator is powered-on when this function is called, it will remain powered-on after it returns.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>New configuration to apply </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the configure request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="295" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="284" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="284" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1gabf5db6e64e20c4454a441d3ac741c9af" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t _cyhal_comp_lp_set_power</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_power_level_t power)</argsstring>
        <name>_cyhal_comp_lp_set_power</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7">cyhal_power_level_t</ref></type>
          <declname>power</declname>
        </param>
        <briefdescription>
<para>Changes the current operating power level of the comparator for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para>If the power level is set to <ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861">CYHAL_POWER_LEVEL_OFF</ref>, the comparator will be powered-off but it will retain its configuration, so it is not necessary to reconfigure it when changing the power level from <ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861">CYHAL_POWER_LEVEL_OFF</ref> to any other value.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">power</parametername>
</parameternamelist>
<parameterdescription>
<para>The power level to set </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set power request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="304" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="297" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="297" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1ga91e5bc0e5f3e634387d4930f1ffb9259" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool _cyhal_comp_lp_read</definition>
        <argsstring>(cyhal_comp_t *obj)</argsstring>
        <name>_cyhal_comp_lp_read</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Reads the Comparator state for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The Comparator state. True if the non-inverting pin voltage is greater than the inverting pin voltage, false otherwise. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="310" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="306" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="306" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1ga218f0364ab4bde8094700b012e12d991" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void _cyhal_comp_lp_enable_event</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_comp_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>_cyhal_comp_lp_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Enable or Disable a Comparator event for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__comp_1ga0baa90d0b7b567226d997fbc09e07843">cyhal_comp_register_callback</ref> will be called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator event </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>Priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on event, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="328" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="312" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" line="312" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp />\file<sp />cyhal_comp_lp.c</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*</highlight></codeline>
<codeline lineno="4"><highlight class="comment">*<sp />\brief</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*<sp />Provides<sp />an<sp />implementation<sp />of<sp />the<sp />comp<sp />HAL<sp />on<sp />top<sp />of<sp />the<sp />LP<sp />(low<sp />power)<sp />comp.</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*</highlight></codeline>
<codeline lineno="7"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="8"><highlight class="comment">*<sp />\copyright</highlight></codeline>
<codeline lineno="9"><highlight class="comment">*<sp />Copyright<sp />2018-2020<sp />Cypress<sp />Semiconductor<sp />Corporation</highlight></codeline>
<codeline lineno="10"><highlight class="comment">*<sp />SPDX-License-Identifier:<sp />Apache-2.0</highlight></codeline>
<codeline lineno="11"><highlight class="comment">*</highlight></codeline>
<codeline lineno="12"><highlight class="comment">*<sp />Licensed<sp />under<sp />the<sp />Apache<sp />License,<sp />Version<sp />2.0<sp />(the<sp />"License");</highlight></codeline>
<codeline lineno="13"><highlight class="comment">*<sp />you<sp />may<sp />not<sp />use<sp />this<sp />file<sp />except<sp />in<sp />compliance<sp />with<sp />the<sp />License.</highlight></codeline>
<codeline lineno="14"><highlight class="comment">*<sp />You<sp />may<sp />obtain<sp />a<sp />copy<sp />of<sp />the<sp />License<sp />at</highlight></codeline>
<codeline lineno="15"><highlight class="comment">*</highlight></codeline>
<codeline lineno="16"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp />http://www.apache.org/licenses/LICENSE-2.0</highlight></codeline>
<codeline lineno="17"><highlight class="comment">*</highlight></codeline>
<codeline lineno="18"><highlight class="comment">*<sp />Unless<sp />required<sp />by<sp />applicable<sp />law<sp />or<sp />agreed<sp />to<sp />in<sp />writing,<sp />software</highlight></codeline>
<codeline lineno="19"><highlight class="comment">*<sp />distributed<sp />under<sp />the<sp />License<sp />is<sp />distributed<sp />on<sp />an<sp />"AS<sp />IS"<sp />BASIS,</highlight></codeline>
<codeline lineno="20"><highlight class="comment">*<sp />WITHOUT<sp />WARRANTIES<sp />OR<sp />CONDITIONS<sp />OF<sp />ANY<sp />KIND,<sp />either<sp />express<sp />or<sp />implied.</highlight></codeline>
<codeline lineno="21"><highlight class="comment">*<sp />See<sp />the<sp />License<sp />for<sp />the<sp />specific<sp />language<sp />governing<sp />permissions<sp />and</highlight></codeline>
<codeline lineno="22"><highlight class="comment">*<sp />limitations<sp />under<sp />the<sp />License.</highlight></codeline>
<codeline lineno="23"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_comp_lp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_analog_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hwmgr.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_system.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CYHAL_COMP_PER_LP<sp />(2u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXLPCOMP_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref>*<sp />_cyhal_comp_lp_config_structs[CY_IP_MXLPCOMP_INSTANCES<sp />*<sp />_CYHAL_COMP_PER_LP];</highlight></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal">LPCOMP_Type<sp />*</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />_cyhal_lpcomp_base[]<sp />=</highlight></codeline>
<codeline lineno="36"><highlight class="normal">{</highlight></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal"><sp /><sp /><sp /><sp />LPCOMP,</highlight></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#error<sp />Unhandled<sp />LP_COMP<sp />instance<sp />count</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal">};</highlight></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />IRQn_Type<sp />_cyhal_lp_comp_irq_n[]<sp />=</highlight></codeline>
<codeline lineno="46"><highlight class="normal">{</highlight></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp />lpcomp_interrupt_IRQn,</highlight></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#error<sp />Unhandled<sp />LP_COMP<sp />instance<sp />count</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal">};</highlight></codeline>
<codeline lineno="54"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint8_t<sp />_cyhal_lpcomp_get_block_from_irqn(IRQn_Type<sp />irqn)<sp />{</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">switch</highlight><highlight class="normal"><sp />(irqn)</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />lpcomp_interrupt_IRQn:</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />0;</highlight></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#error<sp />Unhandled<sp />LP_COMP<sp />instance<sp />count</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">default</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);<sp /></highlight><highlight class="comment">//<sp />Should<sp />never<sp />be<sp />called</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />0;</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="69"><highlight class="normal">}</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint32_t<sp />_cyhal_comp_lp_convert_power(<ref kindref="member" refid="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7">cyhal_power_level_t</ref><sp />hal_power)</highlight></codeline>
<codeline lineno="72"><highlight class="normal">{</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">switch</highlight><highlight class="normal">(hal_power)</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861">CYHAL_POWER_LEVEL_OFF</ref>:</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(uint32_t)CY_LPCOMP_MODE_OFF;</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae06723d07ff431a2f427d95ac61e2afb">CYHAL_POWER_LEVEL_LOW</ref>:</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(uint32_t)CY_LPCOMP_MODE_ULP;</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae189a666d589f8acf4c64142365def61">CYHAL_POWER_LEVEL_MEDIUM</ref>:</highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(uint32_t)CY_LPCOMP_MODE_LP;</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a4d8ce140c28177e31de20cf8da8e2a99">CYHAL_POWER_LEVEL_HIGH</ref>:</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(uint32_t)CY_LPCOMP_MODE_NORMAL;</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a6f0f4df45e9cac012a2c8e5ba736241b">CYHAL_POWER_LEVEL_DEFAULT</ref>:</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(uint32_t)CY_LPCOMP_MODE_LP;</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">default</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />CY_LPCOMP_MODE_OFF;</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="89"><highlight class="normal">}</highlight></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref><sp />_cyhal_comp_lp_get_enabled_events(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*<sp />obj)</highlight></codeline>
<codeline lineno="92"><highlight class="normal">{</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">switch</highlight><highlight class="normal">((cy_en_lpcomp_int_t)obj-&gt;irq_cause)</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CY_LPCOMP_INTR_DISABLE:</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref>)0u;</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CY_LPCOMP_INTR_RISING:</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp_1gga9ce3883df3861eb47c5b1e3c079edc37ae1b5c576161fce50484626bcffd1d46d">CYHAL_COMP_RISING_EDGE</ref>;</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CY_LPCOMP_INTR_FALLING:</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp_1gga9ce3883df3861eb47c5b1e3c079edc37a77b4bfbf8689a798c2baeb7d054e0e96">CYHAL_COMP_FALLING_EDGE</ref>;</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CY_LPCOMP_INTR_BOTH:</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref>)(<ref kindref="member" refid="group__group__hal__comp_1gga9ce3883df3861eb47c5b1e3c079edc37ae1b5c576161fce50484626bcffd1d46d">CYHAL_COMP_RISING_EDGE</ref><sp />|<sp /><ref kindref="member" refid="group__group__hal__comp_1gga9ce3883df3861eb47c5b1e3c079edc37a77b4bfbf8689a798c2baeb7d054e0e96">CYHAL_COMP_FALLING_EDGE</ref>);</highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">default</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref>)0u;</highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="107"><highlight class="normal">}</highlight></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cy_en_lpcomp_int_t<sp />_cyhal_comp_lp_convert_hal_event(<ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref><sp />event)</highlight></codeline>
<codeline lineno="110"><highlight class="normal">{</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">switch</highlight><highlight class="normal">((uint8_t)event)</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />0u:</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />CY_LPCOMP_INTR_DISABLE;</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />(uint8_t)<ref kindref="member" refid="group__group__hal__comp_1gga9ce3883df3861eb47c5b1e3c079edc37ae1b5c576161fce50484626bcffd1d46d">CYHAL_COMP_RISING_EDGE</ref>:</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />CY_LPCOMP_INTR_RISING;</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />(uint8_t)<ref kindref="member" refid="group__group__hal__comp_1gga9ce3883df3861eb47c5b1e3c079edc37a77b4bfbf8689a798c2baeb7d054e0e96">CYHAL_COMP_FALLING_EDGE</ref>:</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />CY_LPCOMP_INTR_FALLING;</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />(uint8_t)(<ref kindref="member" refid="group__group__hal__comp_1gga9ce3883df3861eb47c5b1e3c079edc37ae1b5c576161fce50484626bcffd1d46d">CYHAL_COMP_RISING_EDGE</ref><sp />|<sp /><ref kindref="member" refid="group__group__hal__comp_1gga9ce3883df3861eb47c5b1e3c079edc37a77b4bfbf8689a798c2baeb7d054e0e96">CYHAL_COMP_FALLING_EDGE</ref>):</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />CY_LPCOMP_INTR_BOTH;</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">default</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />CY_LPCOMP_INTR_DISABLE;</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="125"><highlight class="normal">}</highlight></codeline>
<codeline lineno="126"><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />_cyhal_comp_lp_irq_handler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="128"><highlight class="normal">{</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp />IRQn_Type<sp />irqn<sp />=<sp />_CYHAL_UTILS_GET_CURRENT_IRQN();</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />block<sp />=<sp />_cyhal_lpcomp_get_block_from_irqn(irqn);</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />instance_num<sp />=<sp />(Cy_LPComp_GetInterruptStatusMasked(_cyhal_comp_lp_config_structs[block<sp />*<sp />_CYHAL_COMP_PER_LP]-&gt;base_lpcomp)<sp />&gt;&gt;<sp />1)<sp />?<sp />1<sp />:<sp />0;</highlight></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref>*<sp />obj<sp />=<sp />_cyhal_comp_lp_config_structs[block<sp />*<sp />_CYHAL_COMP_PER_LP<sp />+<sp />instance_num];</highlight></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_LPComp_ClearInterrupt(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />2<sp />:<sp />1);</highlight></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__comp_1gac0cf713e6a1b5bca220e9da2f60a8d9e">cyhal_comp_event_callback_t</ref><sp />callback<sp />=<sp />(<ref kindref="member" refid="group__group__hal__comp_1gac0cf713e6a1b5bca220e9da2f60a8d9e">cyhal_comp_event_callback_t</ref>)obj-&gt;callback_data.callback;</highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(NULL<sp />!=<sp />callback)</highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref><sp /></highlight><highlight class="keyword">event</highlight><highlight class="normal"><sp />=<sp />_cyhal_comp_lp_get_enabled_events(obj);</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />callback(obj-&gt;callback_data.callback_arg,<sp />event);</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="143"><highlight class="normal">}</highlight></codeline>
<codeline lineno="144"><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1gaf690b13f87bddb987a316dbb1ee5b190">_cyhal_comp_lp_init</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />vin_p,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />vin_m,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />output,<sp /><ref kindref="compound" refid="structcyhal__comp__config__t">cyhal_comp_config_t</ref><sp />*cfg)</highlight></codeline>
<codeline lineno="146"><highlight class="normal">{</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(NULL<sp />!=<sp />obj);</highlight></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initial<sp />values<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp />memset(obj,<sp />0,<sp /></highlight><highlight class="keyword">sizeof</highlight><highlight class="normal">(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref>));</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />obj-&gt;irq_cause<sp />=<sp />0;</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Mark<sp />pins<sp />in<sp />obj<sp />NC<sp />until<sp />they<sp />are<sp />successfully<sp />reserved<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />obj-&gt;pin_vin_p<sp />=<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref>;</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp />obj-&gt;pin_vin_m<sp />=<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref>;</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp />obj-&gt;pin_out<sp />=<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref>;</highlight></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />obj-&gt;base_lpcomp<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp />obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />=<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975baf4c05e33bb994cc6a1d94bd301dcc988">CYHAL_RSC_INVALID</ref>;</highlight></codeline>
<codeline lineno="161"><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Validate<sp />pins.<sp />vin_p<sp />and<sp />vin_m<sp />are<sp />mandatory<sp />pins,<sp />output<sp />is<sp />optional.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref><sp />==<sp />vin_p)<sp />||<sp />(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref><sp />==<sp />vin_m))</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__hal__results__comp_1ga15ea52f949f839f5f51097cc7a6a3bc9">CYHAL_COMP_RSLT_ERR_INVALID_PIN</ref>;</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />mapping<sp />for<sp />pins<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__resource__pin__mapping__t">cyhal_resource_pin_mapping_t</ref><sp />*vin_p_map<sp /><sp />=<sp />(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref><sp />!=<sp />vin_p)<sp /><sp /><sp /><sp /><sp />?<sp />CY_UTILS_GET_RESOURCE(vin_p,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gad8cc77365deff1072796431c5a4dc299">cyhal_pin_map_lpcomp_inp_comp</ref>)<sp /><sp /><sp /><sp /><sp />:<sp />NULL;</highlight></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__resource__pin__mapping__t">cyhal_resource_pin_mapping_t</ref><sp />*vin_m_map<sp /><sp />=<sp />(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref><sp />!=<sp />vin_m)<sp /><sp /><sp /><sp /><sp />?<sp />CY_UTILS_GET_RESOURCE(vin_m,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga7a9867472e2b3ff245eaed06a736836e">cyhal_pin_map_lpcomp_inn_comp</ref>)<sp /><sp /><sp /><sp /><sp />:<sp />NULL;</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__resource__pin__mapping__t">cyhal_resource_pin_mapping_t</ref><sp />*output_map<sp />=<sp />(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref><sp />!=<sp />output)<sp /><sp /><sp /><sp />?<sp />CY_UTILS_GET_RESOURCE(output,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga0feb64e065d6caaab11b048a1136e7ea">cyhal_pin_map_lpcomp_dsi_comp</ref>)<sp /><sp /><sp /><sp />:<sp />NULL;</highlight></codeline>
<codeline lineno="172"><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Verify<sp />if<sp />mapping<sp />successful<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((NULL<sp />==<sp />vin_p_map)<sp />||<sp />(NULL<sp />==<sp />vin_m_map)<sp />||<sp />((<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref><sp />!=<sp />output)<sp />&amp;&amp;<sp />(NULL<sp />==<sp />vin_m_map)))</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__hal__results__comp_1ga15ea52f949f839f5f51097cc7a6a3bc9">CYHAL_COMP_RSLT_ERR_INVALID_PIN</ref>;</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="178"><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />==<sp />result<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((NULL<sp />!=<sp />vin_m_map<sp /><sp />&amp;&amp;<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal"><sp />==<sp />_cyhal_utils_resources_equal(vin_p_map-&gt;<ref kindref="member" refid="structcyhal__resource__pin__mapping__t_1a5c5b6367a94636f9811352bbbc69b1db">inst</ref>,<sp />vin_m_map-&gt;<ref kindref="member" refid="structcyhal__resource__pin__mapping__t_1a5c5b6367a94636f9811352bbbc69b1db">inst</ref>))</highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp />||<sp />(NULL<sp />!=<sp />output_map<sp />&amp;&amp;<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal"><sp />==<sp />_cyhal_utils_resources_equal(vin_p_map-&gt;<ref kindref="member" refid="structcyhal__resource__pin__mapping__t_1a5c5b6367a94636f9811352bbbc69b1db">inst</ref>,<sp />output_map-&gt;<ref kindref="member" refid="structcyhal__resource__pin__mapping__t_1a5c5b6367a94636f9811352bbbc69b1db">inst</ref>))))</highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__hal__results__comp_1ga15ea52f949f839f5f51097cc7a6a3bc9">CYHAL_COMP_RSLT_ERR_INVALID_PIN</ref>;</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="185"><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Reserve<sp />resources<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />==<sp />result)</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__hal__hwmgr_1ga33e7c9bb9beaedeb87825dadf604a0b9">cyhal_hwmgr_reserve</ref>(vin_p_map-&gt;<ref kindref="member" refid="structcyhal__resource__pin__mapping__t_1a5c5b6367a94636f9811352bbbc69b1db">inst</ref>);</highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="191"><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />==<sp />result)</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;resource<sp />=<sp />*(vin_p_map-&gt;<ref kindref="member" refid="structcyhal__resource__pin__mapping__t_1a5c5b6367a94636f9811352bbbc69b1db">inst</ref>);</highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />_cyhal_utils_reserve_and_connect(vin_p,<sp />vin_p_map);</highlight></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />==<sp />result)</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;pin_vin_p<sp />=<sp />vin_p;</highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />_cyhal_utils_reserve_and_connect(vin_m,<sp />vin_m_map);</highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="203"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />==<sp />result)</highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;pin_vin_m<sp />=<sp />vin_m;</highlight></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref><sp />!=<sp />output)</highlight></codeline>
<codeline lineno="208"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="209"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />_cyhal_utils_reserve_and_connect(output,<sp />output_map);</highlight></codeline>
<codeline lineno="210"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="211"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="212"><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />==<sp />result)</highlight></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="215"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;pin_out<sp />=<sp />output;</highlight></codeline>
<codeline lineno="216"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="217"><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(result<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;base_lpcomp<sp />=<sp />_cyhal_lpcomp_base[obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />/<sp />_CYHAL_COMP_PER_LP];</highlight></codeline>
<codeline lineno="221"><highlight class="normal" /></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />LPComp<sp />output<sp />mode<sp />and<sp />hysteresis<sp />for<sp />channel<sp />0<sp />or<sp />1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_stc_lpcomp_config_t<sp />comp_lp_config;</highlight></codeline>
<codeline lineno="224"><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />comp_lp_config.outputMode<sp />=<sp />CY_LPCOMP_OUT_DIRECT;</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />comp_lp_config.intType<sp />=<sp />CY_LPCOMP_INTR_DISABLE;</highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />comp_lp_config.hysteresis<sp />=<sp />cfg-&gt;<ref kindref="member" refid="structcyhal__comp__config__t_1acb59e8dcfb68fd6598abd7a7a88473b8">hysteresis</ref><sp />?<sp />CY_LPCOMP_HYST_ENABLE<sp />:<sp />CY_LPCOMP_HYST_DISABLE;</highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />comp_lp_config.power<sp />=<sp />(cy_en_lpcomp_pwr_t)_cyhal_comp_lp_convert_power(cfg-&gt;<ref kindref="member" refid="structcyhal__comp__config__t_1aa0a64636f172477d20e66a6b735f5145">power</ref>);</highlight></codeline>
<codeline lineno="229"><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />Cy_LPComp_Init(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />CY_LPCOMP_CHANNEL_1<sp />:<sp />CY_LPCOMP_CHANNEL_0,<sp />&amp;comp_lp_config);</highlight></codeline>
<codeline lineno="231"><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />both<sp />terminals<sp />to<sp />GPIO<sp />inputs<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_LPComp_SetInputs(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />CY_LPCOMP_CHANNEL_1<sp />:<sp />CY_LPCOMP_CHANNEL_0,<sp />CY_LPCOMP_SW_GPIO,<sp />CY_LPCOMP_SW_GPIO);</highlight></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />channel<sp />0<sp />or<sp />1<sp />power<sp />mode<sp />-<sp />Ultra<sp />Low<sp />Power<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_LPComp_SetPower(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />CY_LPCOMP_CHANNEL_1<sp />:<sp />CY_LPCOMP_CHANNEL_0,<sp />comp_lp_config.power);</highlight></codeline>
<codeline lineno="237"><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_LPComp_SetInterruptMask(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />2<sp />:<sp />1);</highlight></codeline>
<codeline lineno="239"><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initialize<sp />the<sp />programmable<sp />analog<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_LPComp_Enable(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />CY_LPCOMP_CHANNEL_1<sp />:<sp />CY_LPCOMP_CHANNEL_0);</highlight></codeline>
<codeline lineno="242"><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_cyhal_comp_lp_config_structs[obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref>]<sp />=<sp />obj;</highlight></codeline>
<codeline lineno="244"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_stc_sysint_t<sp />irqCfg<sp />=<sp />{<sp />_cyhal_lp_comp_irq_n[obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />/<sp />_CYHAL_COMP_PER_LP],<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gad822a466fc63847114add720ef84c83a">CYHAL_ISR_PRIORITY_DEFAULT</ref><sp />};</highlight></codeline>
<codeline lineno="245"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysInt_Init(&amp;irqCfg,<sp />_cyhal_comp_lp_irq_handler);</highlight></codeline>
<codeline lineno="246"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />NVIC_EnableIRQ(_cyhal_lp_comp_irq_n[obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />/<sp />_CYHAL_COMP_PER_LP]);</highlight></codeline>
<codeline lineno="247"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="248"><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Free<sp />LP_COMP<sp />in<sp />case<sp />of<sp />failure<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="250"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(result<sp />!=<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="251"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="252"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1gab0d486392f91487b3551b4f8a0fbd74f">_cyhal_comp_lp_free</ref>(obj);</highlight></codeline>
<codeline lineno="253"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="254"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />result;</highlight></codeline>
<codeline lineno="255"><highlight class="normal">}</highlight></codeline>
<codeline lineno="256"><highlight class="normal" /></codeline>
<codeline lineno="257"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1gab0d486392f91487b3551b4f8a0fbd74f">_cyhal_comp_lp_free</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj)</highlight></codeline>
<codeline lineno="258"><highlight class="normal">{</highlight></codeline>
<codeline lineno="259"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(NULL<sp />!=<sp />obj);</highlight></codeline>
<codeline lineno="260"><highlight class="normal" /></codeline>
<codeline lineno="261"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975baf4c05e33bb994cc6a1d94bd301dcc988">CYHAL_RSC_INVALID</ref><sp />!=<sp />obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref>)</highlight></codeline>
<codeline lineno="262"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="263"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_cyhal_comp_lp_config_structs[obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref>]<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="264"><highlight class="normal" /></codeline>
<codeline lineno="265"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Free<sp />the<sp />programmable<sp />analog<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="266"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />lpcomp_num<sp />=<sp />obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />/<sp />_CYHAL_COMP_PER_LP;</highlight></codeline>
<codeline lineno="267"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((NULL<sp />==<sp />_cyhal_comp_lp_config_structs[(lpcomp_num<sp />*<sp />_CYHAL_COMP_PER_LP)])</highlight></codeline>
<codeline lineno="268"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />&amp;&amp;<sp />(NULL<sp />==<sp />_cyhal_comp_lp_config_structs[(lpcomp_num<sp />*<sp />_CYHAL_COMP_PER_LP)<sp />+<sp />1]))</highlight></codeline>
<codeline lineno="269"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="270"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />NVIC_DisableIRQ(_cyhal_lp_comp_irq_n[obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />/<sp />_CYHAL_COMP_PER_LP]);</highlight></codeline>
<codeline lineno="271"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="272"><highlight class="normal" /></codeline>
<codeline lineno="273"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_LPComp_Disable(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />CY_LPCOMP_CHANNEL_1<sp />:<sp />CY_LPCOMP_CHANNEL_0);</highlight></codeline>
<codeline lineno="274"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__hwmgr_1gaa1979bd596d90251c7b861a7e94b884f">cyhal_hwmgr_free</ref>(&amp;(obj-&gt;resource));</highlight></codeline>
<codeline lineno="275"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;base_lpcomp<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="276"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />=<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975baf4c05e33bb994cc6a1d94bd301dcc988">CYHAL_RSC_INVALID</ref>;</highlight></codeline>
<codeline lineno="277"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="278"><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_utils_release_if_used(&amp;(obj-&gt;pin_vin_p));</highlight></codeline>
<codeline lineno="280"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_utils_release_if_used(&amp;(obj-&gt;pin_vin_m));</highlight></codeline>
<codeline lineno="281"><highlight class="normal"><sp /><sp /><sp /><sp />_cyhal_utils_release_if_used(&amp;(obj-&gt;pin_out));</highlight></codeline>
<codeline lineno="282"><highlight class="normal">}</highlight></codeline>
<codeline lineno="283"><highlight class="normal" /></codeline>
<codeline lineno="284"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1ga6c35377a1e7b4cb2fd4bbc2685df0a15">_cyhal_comp_lp_configure</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj,<sp /><ref kindref="compound" refid="structcyhal__comp__config__t">cyhal_comp_config_t</ref><sp />*cfg)</highlight></codeline>
<codeline lineno="285"><highlight class="normal">{</highlight></codeline>
<codeline lineno="286"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(NULL<sp />!=<sp />obj);</highlight></codeline>
<codeline lineno="287"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="288"><highlight class="normal" /></codeline>
<codeline lineno="289"><highlight class="normal"><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__hal__comp__lp_1gabf5db6e64e20c4454a441d3ac741c9af">_cyhal_comp_lp_set_power</ref>(obj,<sp />cfg-&gt;<ref kindref="member" refid="structcyhal__comp__config__t_1aa0a64636f172477d20e66a6b735f5145">power</ref>);</highlight></codeline>
<codeline lineno="290"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(result<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="291"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="292"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_LPComp_SetHysteresis(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />CY_LPCOMP_CHANNEL_1<sp />:<sp />CY_LPCOMP_CHANNEL_0,<sp />cfg-&gt;<ref kindref="member" refid="structcyhal__comp__config__t_1acb59e8dcfb68fd6598abd7a7a88473b8">hysteresis</ref><sp />?<sp />CY_LPCOMP_HYST_ENABLE<sp />:<sp />CY_LPCOMP_HYST_DISABLE);</highlight></codeline>
<codeline lineno="293"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="294"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />result;</highlight></codeline>
<codeline lineno="295"><highlight class="normal">}</highlight></codeline>
<codeline lineno="296"><highlight class="normal" /></codeline>
<codeline lineno="297"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1gabf5db6e64e20c4454a441d3ac741c9af">_cyhal_comp_lp_set_power</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7">cyhal_power_level_t</ref><sp />power)</highlight></codeline>
<codeline lineno="298"><highlight class="normal">{</highlight></codeline>
<codeline lineno="299"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(NULL<sp />!=<sp />obj);</highlight></codeline>
<codeline lineno="300"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_lpcomp_pwr_t<sp />power_level<sp />=<sp />(cy_en_lpcomp_pwr_t)_cyhal_comp_lp_convert_power(power);</highlight></codeline>
<codeline lineno="301"><highlight class="normal" /></codeline>
<codeline lineno="302"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_LPComp_SetPower(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />CY_LPCOMP_CHANNEL_1<sp />:<sp />CY_LPCOMP_CHANNEL_0,<sp />power_level);</highlight></codeline>
<codeline lineno="303"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="304"><highlight class="normal">}</highlight></codeline>
<codeline lineno="305"><highlight class="normal" /></codeline>
<codeline lineno="306"><highlight class="normal" /><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1ga91e5bc0e5f3e634387d4930f1ffb9259">_cyhal_comp_lp_read</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj)</highlight></codeline>
<codeline lineno="307"><highlight class="normal">{</highlight></codeline>
<codeline lineno="308"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(NULL<sp />!=<sp />obj);</highlight></codeline>
<codeline lineno="309"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(1UL<sp />==<sp />Cy_LPComp_GetCompare(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />CY_LPCOMP_CHANNEL_1<sp />:<sp />CY_LPCOMP_CHANNEL_0));</highlight></codeline>
<codeline lineno="310"><highlight class="normal">}</highlight></codeline>
<codeline lineno="311"><highlight class="normal" /></codeline>
<codeline lineno="312"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1ga218f0364ab4bde8094700b012e12d991">_cyhal_comp_lp_enable_event</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable)</highlight></codeline>
<codeline lineno="313"><highlight class="normal">{</highlight></codeline>
<codeline lineno="314"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(enable)</highlight></codeline>
<codeline lineno="315"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="316"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;irq_cause<sp />|=<sp />event;</highlight></codeline>
<codeline lineno="317"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="318"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="319"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="320"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;irq_cause<sp />&amp;=<sp />(~event);</highlight></codeline>
<codeline lineno="321"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="322"><highlight class="normal" /></codeline>
<codeline lineno="323"><highlight class="normal"><sp /><sp /><sp /><sp />IRQn_Type<sp />irqn<sp />=<sp />_cyhal_lp_comp_irq_n[obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />/<sp />_CYHAL_COMP_PER_LP];</highlight></codeline>
<codeline lineno="324"><highlight class="normal"><sp /><sp /><sp /><sp />NVIC_SetPriority(irqn,<sp />intr_priority);</highlight></codeline>
<codeline lineno="325"><highlight class="normal" /></codeline>
<codeline lineno="326"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_lpcomp_int_t<sp />pdl_event<sp />=<sp />_cyhal_comp_lp_convert_hal_event((<ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref>)obj-&gt;irq_cause);</highlight></codeline>
<codeline lineno="327"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_LPComp_SetInterruptTriggerMode(obj-&gt;base_lpcomp,<sp />(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a">block_num</ref><sp />%<sp />_CYHAL_COMP_PER_LP)<sp />?<sp />CY_LPCOMP_CHANNEL_1<sp />:<sp />CY_LPCOMP_CHANNEL_0,<sp />pdl_event);</highlight></codeline>
<codeline lineno="328"><highlight class="normal">}</highlight></codeline>
<codeline lineno="329"><highlight class="normal" /></codeline>
<codeline lineno="330"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_IP_MXLPCOMP_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />0)<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" />
  </compounddef>
</doxygen>